Bug 21787 - GetHardDueDate.t has a silly test
Summary: GetHardDueDate.t has a silly test
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-08 14:19 UTC by Jonathan Druart
Modified: 2018-11-28 14:43 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21787: Remove unecessary test from GetHardDueDate.t (1.49 KB, patch)
2018-11-08 14:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21787: Remove unecessary test from GetHardDueDate.t (1.54 KB, patch)
2018-11-08 23:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-11-08 14:19:41 UTC
When a new column is added to the issuingrules table, one of the test from GetHardDueDate.t is failing. As it does not test anything useful we should remove it instead of fixing it.

See
commit face7819393b17a3fb4bab6f8c2ff26cc9a450d8
Author: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Date:   Thu Nov 8 11:15:04 2018 -0300

    Bug 12365: Fix GetHardDueDate.t test

diff --git a/t/db_dependent/Circulation/GetHardDueDate.t b/t/db_dependent/Circulation/GetHardDueDate.t
index a50e06b..bfb624d 100644
--- a/t/db_dependent/Circulation/GetHardDueDate.t
+++ b/t/db_dependent/Circulation/GetHardDueDate.t
@@ -148,6 +148,7 @@ my $sampleissuingrule1 = {
     no_auto_renewal_after_hard_limit => undef,
     suspension_chargeperiod => 1,
     holds_per_day => undef,
+    note => undef,
 };
 my $sampleissuingrule2 = {
     branchcode         => $samplebranch2->{branchcode},

commit 1ce984ea1dd12391d39507cd21c4d3813eab9754
Author: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Date:   Wed Oct 24 17:08:05 2018 -0300

    Bug 15486: Fix failing test in GetHardDueDate.t
    
    Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

diff --git a/t/db_dependent/Circulation/GetHardDueDate.t b/t/db_dependent/Circulation/GetHardDueDate.t
index b39c32c..a50e06b 100644
--- a/t/db_dependent/Circulation/GetHardDueDate.t
+++ b/t/db_dependent/Circulation/GetHardDueDate.t
@@ -147,6 +147,7 @@ my $sampleissuingrule1 = {
     no_auto_renewal_after => undef,
     no_auto_renewal_after_hard_limit => undef,
     suspension_chargeperiod => 1,
+    holds_per_day => undef,
 };
 my $sampleissuingrule2 = {
     branchcode         => $samplebranch2->{branchcode},

commit f32cf00e132c747a008163e5f40810d4a47bff58
Author: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Date:   Mon Apr 9 17:33:37 2018 -0300

    Bug 19804: Fix test in GetHardDueDate.t
    
    Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

diff --git a/t/db_dependent/Circulation/GetHardDueDate.t b/t/db_dependent/Circulation/GetHardDueDate.t
index b5a571b..b39c32c 100644
--- a/t/db_dependent/Circulation/GetHardDueDate.t
+++ b/t/db_dependent/Circulation/GetHardDueDate.t
@@ -146,6 +146,7 @@ my $sampleissuingrule1 = {
     article_requests   => 'yes',
     no_auto_renewal_after => undef,
     no_auto_renewal_after_hard_limit => undef,
+    suspension_chargeperiod => 1,
 };
 my $sampleissuingrule2 = {
     branchcode         => $samplebranch2->{branchcode},
Comment 1 Jonathan Druart 2018-11-08 14:22:36 UTC
Created attachment 82091 [details] [review]
Bug 21787: Remove unecessary test from GetHardDueDate.t

See description on the bug report for more info.
Comment 2 Katrin Fischer 2018-11-08 23:08:30 UTC
Created attachment 82137 [details] [review]
Bug 21787: Remove unecessary test from GetHardDueDate.t

See description on the bug report for more info.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Tomás Cohen Arazi 2018-11-12 19:31:13 UTC
Pushed for 18.11. Thanks all!
Comment 4 Martin Renvoize 2018-11-16 14:20:57 UTC
Pushed to 18.05.x for 18.05.06
Comment 5 Fridolin SOMERS 2018-11-28 14:43:32 UTC
Pushed to 17.11.x for 17.11.13